# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_autosuggest 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_autosuggest".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_autosuggest" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-26"
  s.description = "Microsoft Azure Cognitive Services Auto Suggest Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/autosuggest_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/query_context.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/response_format.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/scenario_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/search_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/search_kind.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/search_results_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/suggestions.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/suggestions_suggestion_group.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_autosuggest/module_definition.rb".freeze, "lib/azure_cognitiveservices_autosuggest.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/autosuggest_latest_profile_client.rb".freeze, "lib/profiles/latest/autosuggest_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/autosuggest_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Auto Suggest.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
